Loading...
Searching...
No Matches
itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType Struct Reference

## Detailed Description

template<class TFixedImage, class TMovingImage>
struct itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType

Threading related parameters. Helper structs that multi-threads the computation of the metric derivative using ITK threads.

Definition at line 234 of file itkAdvancedKappaStatisticImageToImageMetric.h.

## Data Fields

MeasureType | st_Coefficient1
MeasureType | st_Coefficient2
DerivativeValueType * | st_DerivativePointer
AdvancedKappaStatisticImageToImageMetric * | st_Metric

## Field Documentation

## st_Coefficient1

template<class TFixedImage, class TMovingImage>

MeasureType itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_Coefficient1

Definition at line 238 of file itkAdvancedKappaStatisticImageToImageMetric.h.

## st_Coefficient2

template<class TFixedImage, class TMovingImage>

MeasureType itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_Coefficient2

Definition at line 239 of file itkAdvancedKappaStatisticImageToImageMetric.h.

## st_DerivativePointer

template<class TFixedImage, class TMovingImage>

DerivativeValueType* itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_DerivativePointer

Definition at line 240 of file itkAdvancedKappaStatisticImageToImageMetric.h.

## st_Metric

template<class TFixedImage, class TMovingImage>

AdvancedKappaStatisticImageToImageMetric* itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_Metric

Definition at line 236 of file itkAdvancedKappaStatisticImageToImageMetric.h.

Generated on 1768596610 for elastix by 1.15.0 |